Bug 503531 - Low brightness when exiting from screensaver (Quadro 130M 042a)
Low brightness when exiting from screensaver (Quadro 130M 042a)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 11:40 EDT by Gianluca Sforna
Modified: 2010-06-28 08:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Sforna 2009-06-01 11:40:17 EDT
This is a fresh, default installation from the F11PR LiveCD, then fully updated.

When the screen saver kicks in, the brightness is lowered but it fails to come back at 100% when exiting from the lock screen, being stuck at about 30%.
Comment 1 Gianluca Sforna 2009-06-03 16:45:19 EDT
Card is a Quadro NVS 130; from lspci -nn:

01:00.0 VGA compatible controller [0300]: nVidia Corporation Quadro NVS 130M [10de:042a] (rev a1)
Comment 2 Bug Zapper 2009-06-09 12:55:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Adam Williamson 2009-07-20 20:21:57 EDT
When you say 'fully updated', do you mean F11 or Rawhide? Is this possibly https://bugzilla.redhat.com/show_bug.cgi?id=508513 ?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Gianluca Sforna 2009-07-21 03:09:03 EDT
I mean fully updated F11 and no, 508513 looks like a different issue because brightness _and_ colours are lost there, and an X restart is needed to workaround.

In my case, I just need to use the applet or the Fn buttons to bring brightness to the desired level.

Please also note, in the meantime I realized this is also happening with nvidia binary drivers, so it's likely another component to blame.
Comment 5 Adam Williamson 2009-07-21 13:48:29 EDT
Assuming you're using GNOME, let's try gnome-power-manager. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477631 looks interestingly similar. g-p-m does appear to try and set brightness to 30 when the system is idle by default, so it seems like it's not restoring it to its previous setting when the system goes out of idle.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Richard Hughes 2009-08-20 08:29:59 EDT
Does installing the latest gnome-power-manager and DeviceKit-power packages in updates-testing (and then rebooting...) fix the problem?
Comment 7 Gianluca Sforna 2009-08-20 10:12:27 EDT
I just installed from updates testing:

DeviceKit-power.x86_64 0:010-0.3.20090810git.fc11
gnome-power-manager.x86_64 0:2.26.4-1.fc11

I can't reboot immediately but I'll let you know ASAP if the problem is gone
Comment 8 Gianluca Sforna 2009-08-21 05:47:09 EDT
Yeah, it seems now the original brightness value is restored after the screensaver kicks in. Thanks!
Comment 9 Richard Hughes 2009-08-21 05:56:14 EDT
Cool.
Comment 10 Gianluca Sforna 2009-08-21 09:29:06 EDT
Sorry, talked too early :( 

got back from lunch and brightness was not resumed properly; the _really_ strange thing now is that brightness is reset to the low value each time I open gnome-power-preferernces.
Comment 11 Gianluca Sforna 2009-08-23 07:54:27 EDT
Richard, it seems that I'm always idling: If I activate the "Dim display when idle" in the "On AC Power" tab I'm instantly put in the low brightness state, so I'm not even sure if we're still seeing the same bug I reported initially...
Comment 12 Bug Zapper 2010-04-27 10:36:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 08:46:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.